> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Test Suite

> Create a new test suite for a project

## Request

```bash theme={null}
POST https://api.pathors.com/v1/projects/{projectId}/test-suites
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

### Body

<ParamField body="name" type="string" required>
  Name of the test suite
</ParamField>

<ParamField body="testCaseIds" type="array">
  Array of test case IDs to include in the suite
</ParamField>

## Response

Returns the created test suite with status `201`.

### Example

```bash theme={null}
curl -X POST https://api.pathors.com/v1/projects/{projectId}/test-suites \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Regression suite",
    "testCaseIds": ["test-case-uuid-1", "test-case-uuid-2"]
  }'
```

```json theme={null}
{
  "data": {
    "id": "test-suite-uuid",
    "projectId": "project-uuid",
    "name": "Regression suite",
    "testCases": [
      { "id": "test-case-uuid-1" },
      { "id": "test-case-uuid-2" }
    ],
    "createdAt": "2026-03-23T00:00:00.000Z",
    "updatedAt": "2026-03-23T00:00:00.000Z"
  }
}
```
